Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1887942 - Kube-scheduler should be able to parse v1beta1 KubeSchedulerConfig
Summary: Kube-scheduler should be able to parse v1beta1 KubeSchedulerConfig
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-scheduler
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Mike Dame
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On: 1887941
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-13 15:54 UTC by Mike Dame
Modified: 2020-11-10 14:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1887941
Environment:
Last Closed: 2020-11-10 14:53:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-scheduler-operator pull 290 0 None closed Bug 1887942: [release-4.5] Switch to v1beta1 Scheduler config to bridge between Policy/Plugin APIs 2021-02-16 22:25:10 UTC
Github openshift origin pull 25252 0 None closed Bug 1887942: [release-4.5] Pick scheduler v1beta1 componentconfig API 2021-02-16 22:25:10 UTC
Red Hat Product Errata RHBA-2020:4425 0 None None None 2020-11-10 14:54:08 UTC

Comment 4 RamaKasturi 2020-11-03 09:46:38 UTC
Verified bug with the payload below and see that KubeSchedulerConfiguration version is kubescheduler.config.k8s.io/v1beta1 and --config option for kube-scheduler points to --config=/etc/kubernetes/static-pod-resources/configmaps/config/config.yaml

[knarra@knarra openshift-client-linux-4.5.0-0.nightly-2020-10-31-200727]$ ./oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-10-31-200727   True        False         96m     Cluster version is 4.5.0-0.nightly-2020-10-31-200727

sh-4.4# cat /etc/kubernetes/static-pod-resources/kube-scheduler-pod-9/configmaps/config/config.yaml | jq
{
  "apiVersion": "kubescheduler.config.k8s.io/v1beta1",
  "clientConnection": {
    "kubeconfig": "/etc/kubernetes/static-pod-resources/configmaps/scheduler-kubeconfig/kubeconfig"
  },
  "kind": "KubeSchedulerConfiguration",
  "leaderElection": {
    "leaderElect": true,
    "resourceLock": "configmaps",
    "resourceNamespace": "openshift-kube-scheduler"
  }
}

sh-4.4# cat /etc/kubernetes/static-pod-resources/kube-scheduler-pod-9/configmaps/config/config.yaml | jq
{
  "apiVersion": "kubescheduler.config.k8s.io/v1beta1",
  "clientConnection": {
    "kubeconfig": "/etc/kubernetes/static-pod-resources/configmaps/scheduler-kubeconfig/kubeconfig"
  },
  "kind": "KubeSchedulerConfiguration",
  "leaderElection": {
    "leaderElect": true,
    "resourceLock": "configmaps",
    "resourceNamespace": "openshift-kube-scheduler"
  }
}

sh-4.4# cat /etc/kubernetes/static-pod-resources/kube-scheduler-pod-9/configmaps/config/config.yaml | jq
{
  "apiVersion": "kubescheduler.config.k8s.io/v1beta1",
  "clientConnection": {
    "kubeconfig": "/etc/kubernetes/static-pod-resources/configmaps/scheduler-kubeconfig/kubeconfig"
  },
  "kind": "KubeSchedulerConfiguration",
  "leaderElection": {
    "leaderElect": true,
    "resourceLock": "configmaps",
    "resourceNamespace": "openshift-kube-scheduler"
  }
}

Based on the above moving bug to verified state.

Comment 6 errata-xmlrpc 2020-11-10 14:53:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4425


Note You need to log in before you can comment on or make changes to this bug.